Subject: [PATCH v8 2/2] arm-soc: Add support for arm-based tango4 platforms

From: [email-masked] (santosh shilimkar)
Date: Tue, 3 Nov 2015 08:37:23 -0800

On 11/3/2015 2:12 AM, M?ns Rullg?rd wrote:
> Marc Gonzalez <[email-masked]> writes:
>
>> Santosh Shilimkar wrote:
>>
>>> Mark Rutland wrote:
>>>
>>>> We didn't. Having a look just now, the earliest example appears to be
>>>> in OMAP4 L2 support patches back in 2009 [1]. I was not able to find a
>>>> rationale.
>>>>
>>>> Given that the MMU is on (and speculative accesses are permitted) I
>>>> can't see what the DSB achieves -- it can't quiesce the memory system.
>>>>
>>>> Santosh, any idea?
>>>
>>> IIRC, it was requirement from the OMAP ROM code to have a dsb before
>>> we call the SMC routine. I can't recollect more than that now.
>>
>> In that case, shouldn't dsb have been added to the ROM code,
>> on the "other side" of the smc, so as to not depend on Linux
>> code "getting it right"?
>
> You're new to this, aren't you? :)
>
:-) Indeed. ROM code is burned into the chip and can't be changed.

Regards,
Santosh